<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    coreApp="true"
    package="com.debug.loggerui"
    android:versionCode="60000"
    android:versionName="6.0.0" >

    <uses-sdk
        android:minSdkVersion="28"
        android:targetSdkVersion="28" />

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.READ_FRAME_BUFFER" />
    <uses-permission android:name="android.permission.MANAGE_USERS" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_MEDIA_STORAGE" />
    <uses-permission android:name="android.permission.RAISED_THREAD_PRIORITY"/>
    <uses-permission android:name="android.permission.DUMP" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.STATUS_BAR_SERVICE" />
    <!-- Add for C2KModem -->
    <uses-permission android:name="android.permission.READ_LOGS" />
    <!-- Add for open WIFI_LOG -->
    <uses-permission android:name="com.mediatek.engineermode.permission.WIFI_LOG" />

    <application
        android:name="com.debug.loggerui.MyApplication"
        android:icon="@drawable/launcher"
        android:label="@string/app_name"
        android:theme="@android:style/Theme.Holo.Light" >

        <!-- android:uiOptions="splitActionBarWhenNarrow" -->
        <activity
            android:name=".MainActivity"
            android:configChanges="keyboard|orientation|mcc|mnc"
            android:label="@string/app_name"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <activity
	        android:name=".permission.PermisssionActivity"
	        android:excludeFromRecents="true"
	        android:theme="@android:style/Theme.Translucent" />

        <!-- Add for settings -->
        <activity
            android:name=".LogFolderListActivity"
            android:exported = "false"
            android:configChanges="keyboard|orientation|mcc|mnc"
            android:label="@string/title_activity_log_folder_list"
            android:screenOrientation="portrait"
            android:uiOptions="splitActionBarWhenNarrow" >
        </activity>
        <activity
            android:name=".LogFileListActivity"
            android:exported = "false"
            android:configChanges="keyboard|orientation|mcc|mnc"
            android:label="@string/title_activity_log_folder_list"
            android:screenOrientation="portrait"
            android:uiOptions="splitActionBarWhenNarrow" >
        </activity>
        <activity
            android:name=".settings.SettingsActivity"
            android:exported = "false"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name=".settings.MobileLogSettings"
            android:exported = "false"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name=".settings.ModemLogSettings"
            android:exported = "false"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name=".settings.NetworkLogSettings"
            android:exported = "false"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name=".settings.MetLogSettings"
            android:exported = "false"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name=".settings.GPSLogSettings"
            android:exported = "false"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name=".settings.ConnsysLogSettings"
            android:exported = "false"
            android:screenOrientation="portrait" >
        </activity>
        <!-- Add for framework -->
        <service android:name=".framework.DebugLoggerUIService"
            android:exported = "false" >
            <intent-filter>
                <action android:name="com.debug.loggerui.DebugLoggerUIService" />
            </intent-filter>
        </service>
        <service android:name=".framework.C2KLoggerService"
            android:exported = "false" >
            <intent-filter>
                <action android:name="com.debug.loggerui.C2KLoggerService" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </service>

        <receiver android:name=".framework.LogReceiver"
            android:permission="android.permission.DUMP" >
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="com.debug.loggerui.ADB_CMD" />
                <action android:name="com.mediatek.mdlogger.AUTOSTART_COMPLETE" />
                <action android:name="com.mediatek.log2server.EXCEPTION_HAPPEND" />
                <action android:name="com.debug.loggerui.bypass" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </receiver>

    </application>

</manifest>
